package com.fshark.overseas.advert.util;

import com.fshark.overseas.advert.modle.metrics.BaseMetrics;

public class CommonUtils {
    public static void setType(BaseMetrics date){
        if (null != date.getData_date() && (date.getData_date() >= 20210519 && date.getData_date() <= 20210521 && "organic".equals(date.getMedia_source()))){
            date.setData_type(3);
        }
    }

    public static int setType(Long actTime,String mediasource,int dataType){
        if  (actTime>= 20210519 && actTime <= 20210521 && "organic".equals(mediasource)){
            return 3;
        }
        return dataType;
    }
}
